import * as $dara from '@darabonba/typescript';
import { DescribeReservedInstancesResponseBody } from "./DescribeReservedInstancesResponseBody";
export declare class DescribeReservedInstancesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeReservedInstancesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
